/* Your custom css code goes here */

label.projectId {
  top: 2px;
  left: 17px;
  position: absolute;
  width: 100px;
  height: 20px;
  line-height: 20px;
  font-size: 15px;
  font-weight: 700;
  text-align: center;
  background: #6deabe36
}
label.projectId.single{
  left: 32px;
}
.aboutp{
  text-align: justify;
  white-space: pre-wrap;
}
.probootstrap-footer .probootstrap-footer-widget .foter{
  padding-top: 60px;
  float: right;
}
.probootstrap-cause .probootstrap-raised .doner, .probootstrap-cause .probootstrap-goal .doner{
  color: #0156c6;
  font-size: 15px;
  display: block;
  float: right;
}
.projbtn{
  text-align: center;
}

.probootstrap-image-text-block .profileborder{
  border: 1px solid #e6e5e5;
}

.profilep {
  margin-bottom: 5px;
}

.profilepad {
  border-bottom: 1px solid #e0dada;
  margin-bottom: 5px;  
}


.h40{
  height: 45px;
  overflow: hidden;
}
.h40 .fs20{
  font-size: 20px;
  line-height: 25px;
  max-height: 50px;
  overflow: hidden;
  white-space: pre-wrap;
    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical; 
    text-overflow: ellipsis;
}
.h30{
  height: 40px;
  overflow: hidden;
}
.h30 .fs15{
  font-size: 15px;
  line-height: 20px;
  max-height: 50px;
  overflow: hidden;
  white-space: pre-wrap;
    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical; 
    text-overflow: ellipsis;
}

#loader {
    position:fixed;
    width:100%;
    left:0;right:0;top:0;bottom:0;
    background-color: rgba(255,255,255,0.7);
    z-index:9999;
    display:none;
}

@-webkit-keyframes spin {
    from {-webkit-transform:rotate(0deg);}
    to {-webkit-transform:rotate(360deg);}
}

@keyframes spin {
    from {transform:rotate(0deg);}
    to {transform:rotate(360deg);}
}

#loader::after {
    content:'';
    display:block;
    position:absolute;
    left:48%;top:40%;
    width:40px;height:40px;
    border-style:solid;
    border-color:black;
    border-top-color:transparent;
    border-width: 4px;
    border-radius:50%;
    -webkit-animation: spin .8s linear infinite;
    animation: spin .8s linear infinite;
}

.quantity {
  float: right;
  padding: 5px 0px;
}
.quantity input {
  -webkit-appearance: none;
  border: none;
  text-align: center;
  width: 32px;
  font-size: 16px;
  color: #43484D;
  font-weight: 300;
}
 
.quantity button {
  width: 25px;
  height: 25px;
  background-color: #E1E8EE;
  border-radius: 0;
  border: none;
  cursor: pointer;
  padding: 0;
}
.quantity img{
    width: 18px;
    height: 18px;
    margin-top: -2px;
}

 
button:focus,
input:focus {
  outline:0;
}

.amount{
  float: right;
}

.amount input {
  width: 50px;
  font-size: 16px;
  color: #43484D;
  font-weight: 300;
}


/*******************Time Line CSS**********************/

.timeline{
  --uiTimelineMainColor: var(--timelineMainColor, #222);
  --uiTimelineSecondaryColor: var(--timelineSecondaryColor, #fff);

  position: relative;
  padding-top: 3rem;
  padding-bottom: 3rem;
}

.timeline:before{
  content: "";
  width: 4px;
  height: 100%;
  background-color: var(--uiTimelineMainColor);

  position: absolute;
  top: 0;
}

.timeline__group{
  position: relative;
}

.timeline__group:not(:first-of-type){
  margin-top: 3rem;
}

.timeline__year{
  padding: .5rem 1.5rem;
  color: var(--uiTimelineSecondaryColor);
  background-color: var(--uiTimelineMainColor);

  position: absolute;
  left: 0;
  top: 0;
}

.timeline__box{
  position: relative;
}

.timeline__box:not(:last-of-type){
  margin-bottom: 25px;
}

.timeline__box:before{
  content: "";
  width: 100%;
  height: 2px;
  background-color: var(--uiTimelineMainColor);

  position: absolute;
  left: 0;
  z-index: -1;
}

.timeline__date{
  min-width: 65px;
  position: absolute;
  left: 0;

  box-sizing: border-box;
  padding: .5rem 1.5rem;
  text-align: center;

  background-color: var(--uiTimelineMainColor);
  color: var(--uiTimelineSecondaryColor);
}

.timeline__day{
  font-size: 2rem;
  font-weight: 700;
  display: block;
}

.timeline__month{
  display: block;
  font-size: .8em;
  text-transform: uppercase;
}

.timeline__post{
  padding: 1.5rem 2rem;
  border-radius: 2px;
  border-left: 3px solid var(--uiTimelineMainColor);
  box-shadow: 0 1px 3px 0 rgba(0, 0, 0, .12), 0 1px 2px 0 rgba(0, 0, 0, .24);
  background-color: var(--uiTimelineSecondaryColor);
}
.timeline__content p{
  margin-bottom: 10px;
}
@media screen and (min-width: 641px){

  .timeline:before{
    left: 30px;
  }

  .timeline__group{
    padding-top: 40px;
  }

  .timeline__box{
    padding-left: 80px;
  }

  .timeline__box:before{
    top: 50%;
    transform: translateY(-50%);  
  }  

  .timeline__date{
    top: 50%;
    margin-top: -27px;
  }
}

@media screen and (max-width: 640px){

  .timeline:before{
    left: 0;
  }

  .timeline__group{
    padding-top: 40px;
  }

  .timeline__box{
    padding-left: 20px;
    padding-top: 70px;
  }

  .timeline__box:before{
    top: 90px;
  }    

  .timeline__date{
    top: 0;
  }
  .navbar-nav {
    background: #9c9c9c;
  }
  
}

.timeline{
  --timelineMainColor: #4557bb;
  font-size: 16px;
}
